Create a Payment Plan
curl --request POST \
--url https://api.flutterwave.com/v3/payment-plans \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 5000,
"name": "the akhlm postman plan 2",
"interval": "monthly",
"duration": 48
}
'import requests
url = "https://api.flutterwave.com/v3/payment-plans"
payload = {
"amount": 5000,
"name": "the akhlm postman plan 2",
"interval": "monthly",
"duration": 48
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: 5000,
name: 'the akhlm postman plan 2',
interval: 'monthly',
duration: 48
})
};
fetch('https://api.flutterwave.com/v3/payment-plans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "Payment plan created",
"data": {
"id": 3807,
"name": "the akhlm postman plan 2",
"amount": 5000,
"interval": "monthly",
"duration": 48,
"status": "active",
"currency": "NGN",
"plan_token": "rpp_12d2ef3d5ac1c13b9d30",
"created_at": "2020-01-16T18:08:19.000Z"
}
}Payment Plans
Create a Payment Plan
Create a payment plan
POST
/
payment-plans
Create a Payment Plan
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
200 - application/json; charset=utf-8
OK
Show child attributes
Show child attributes
Example:
{
"id": 3807,
"name": "the akhlm postman plan 2",
"amount": 5000,
"interval": "monthly",
"duration": 48,
"status": "active",
"currency": "NGN",
"plan_token": "rpp_12d2ef3d5ac1c13b9d30",
"created_at": "2020-01-16T18:08:19.000Z"
}
Was this page helpful?
⌘I